 <div class="body">

  <div class="form">
    <div class="rayitas">
    <h2 class="title"><span class="bienvenida">Bienvenido al foro de Desarrollo</span> <br> Por favor llena los siguientes datos para ser parte de esta comunidad</h2>

      <form [formGroup]="forma" (ngSubmit)="guardar()">
        


        <div class="lado1">
       <!-------------------------NOMBRE----------------------->
        <div class="row">
          <mat-form-field >
            <mat-label>Nombre</mat-label>
            <input type="text" matInput
            formControlName="nombre"
            placeholder="Nombre"
            [class.is-invalid] = "nombreNoValido"
            >
          </mat-form-field>
            <small class="text-danger" *ngIf="nombreNoValido">
              Ingrese mas de 3 letras
            </small>
        </div>
    <!------------------------- APELLIDO----------------------->
        <div class="row">
          <mat-form-field class="ancho" >
            <mat-label>Apellido</mat-label>
            <input type="text" matInput
            formControlName="apellido"
            placeholder="Apellido"
            [class.is-invalid] = "apellidoNoValido"
            >
          </mat-form-field>
            <small class="text-danger" *ngIf="apellidoNoValido">
              Ingrese mas de 3 letras
            </small>
          </div>

<!------------------------- CORREO ----------------------->
        <div class="row">
          <mat-form-field class="ancho" >
              <mat-label>Correo</mat-label>
              <input type="text" matInput
              formControlName="correo"
              placeholder="Correo Electrónico"
              [class.is-invalid] = "correoNoValido"
              >
          </mat-form-field>
          <small class="text-danger" *ngIf="correoNoValido">
              Ingrese un email valido
          </small>
          </div>
        </div>
<!------------------------- USUARIO ----------------------->
      
    <div class="lado2">
        <div class="row">
          <mat-form-field class="ancho" >
            <mat-label>Usuario</mat-label>
            <input type="text" matInput
            placeholder="Nombre de Usuario"
            formControlName="usuario"
              [class.is-invalid]="usuarioNoValido"
            >
          </mat-form-field>
            <small class="text-danger" *ngIf="usuarioNoValido">
              Ingrese un nombre de usuario
            </small>
            <small class="text-danger" *ngIf="usuarioExistente">
              El nombre de usuario ya esta en uso
            </small>
        </div>
<!------------------------- CONTRASENA ----------------------->
        <div class="row">
          <mat-form-field class="ancho" >
            <mat-label>Contraseña</mat-label>
            <input type="password" matInput
            formControlName="pass1"
            placeholder="Contraseña"
            [class.is-invalid] = "pass1NoValido"
            >
          </mat-form-field>
        </div>
    
        <div class="row">
          <mat-form-field class="ancho" >
            <mat-label>Repita</mat-label>
            <input type="password" matInput
            formControlName="pass2"
            placeholder="Repita la contraseña"
            [class.is-invalid] = "pass2NoValido"
            >
          </mat-form-field>
        </div>
      </div>


<!------------------------- BOTON GUARDAR ----------------------->

        <div class="row">
          <div class="alinea-btn">
          <button type="submit" class="btn" [disabled]="forma.invalid">Registrarse</button>
          </div>
          <button  class="retornar" routerLink="/inicio"><i class="fa-solid fa-arrow-left"></i> Retornar a Inicio</button>
            
        </div>
      </form>

</div>

































